Subject: bug#8517: Can't handle utf8 encoded filenames in locale 'de_DE.utf8'

From: Rob Browning <[email-masked]>
Date: Sun, 17 Apr 2011 19:02:58 -0500

(If possible, please preserve the 611396-forwarded address in any replies.)

Gernot Kieseritzky writes:

> Opening an existing file named "ÖÄÜß.txt" does not work, instead,
> Emacs creates a new buffer with the same name (reported correctly)
> which is empty.  After saving the file name is corrupted displaying as
> "???.txt" on the console.  Nautilus reports a "wrong encoding" and
> equally display three question marks instead of the "Umlauts".  In
> contrast, in Ubuntu 10.04 utf8 encoded file names create no problems
> for Emacs.

It turns out that the problem was being caused by this call from .emacs:

  (current-language-environment "German")

which appears to make Emacs prefer latin-1.

I wasn't sure if this should be considered an actual problem, or just a
configuration error, so I thought I should forward it.

Please see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=611396 for
further details.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4